Subject: [AVT] RFC3711, MKI length question

From: "Ofer Goren" <[email-masked]>
Date: Thu, 13 May 2004 17:22:14 +0300

Hi all.
 
According to the RFC, Section 3.3, bullet 3, one should use the MKI (if exist in the packet) to retrieve the master key in the crypto context.
My question is this, and it is implementation related: if I need to use the MKI, I need to know its length before. Can I assume the user (user application) sets and stores the value on a per-session base? This means that all MKIs associated with that session has the same length.
The same goes to n_tag parameter.
 
Thanks, 
 
Ofer Goren

---

From: Mats Na"slund <[email-masked]>
Date: Thu, 13 May 2004 16:55:43 +0200

Hi

The cryptographic context stores the MKI_length value, and the value
is typically provided via key managament/session set-up, defined by
user/application preference. (I would assume that 32 bits usually suffices.)

You are correct in that the length MUST be fixed for the
session (this is explicitly stated in the RFC).

cheers

/Mats

>The same goes to n_tag parameter.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt